summaryrefslogtreecommitdiffstats
path: root/misc/iscan-proprietary-drivers
diff options
context:
space:
mode:
Diffstat (limited to 'misc/iscan-proprietary-drivers')
-rw-r--r--misc/iscan-proprietary-drivers/README58
-rw-r--r--misc/iscan-proprietary-drivers/iscan-proprietary-drivers.SlackBuild66
-rw-r--r--misc/iscan-proprietary-drivers/iscan-proprietary-drivers.info8
-rw-r--r--misc/iscan-proprietary-drivers/slack-desc19
4 files changed, 151 insertions, 0 deletions
diff --git a/misc/iscan-proprietary-drivers/README b/misc/iscan-proprietary-drivers/README
new file mode 100644
index 0000000000..7a949757ff
--- /dev/null
+++ b/misc/iscan-proprietary-drivers/README
@@ -0,0 +1,58 @@
+These are the proprietary binary-only i386-only
+libraries for EPSON USB scanners. The libraries
+are provided under the terms of the license
+agreement provided in the EAPL and LICENSE files
+in the directory /usr/doc/iscan-proprietary-drivers/
+
+The proprietary libraries used by the driver
+epkowa are only needed for the following scanners:
+
+libesint1F: Perfection 1250 / Perfection 1250
+ PHOTO / GT-7200
+
+libesint23: Perfection 1260 / Perfection 1260
+ PHOTO / GT-7300
+
+libesint32: Perfection 3170 PHOTO / GT-9400
+
+libesint41: Perfection 2480 PHOTO / GT-F500,
+ Perfection 2580 PHOTO / GT-F550
+
+libesint43: Perfection 4180 PHOTO / GT-F600
+
+libesint52: Perfection 3490 PHOTO / GT-F520,
+ Perfection 3590 PHOTO / GT-F570
+
+libesint54: Perfection 4490 PHOTO / GT-X750
+
+libesint66: Perfection V10 / GT-S600,
+ Perfection V100 PHOTO / GT-F650
+
+libesint68: Perfection V350 PHOTO / GT-F700
+
+libesint7A: Perfection V200 PHOTO / GT-F670
+
+Additionally proprietary firmware files are
+only needed for the following scanners:
+
+esfw41.bin: Perfection 2480 PHOTO / GT-F500,
+ Perfection 2580 PHOTO / GT-F550
+
+esfw32.bin: Perfection 3170 PHOTO / GT-9400UF
+
+esfw52.bin: Perfection 3490 PHOTO / GT-F520,
+ Perfection 3590 PHOTO / GT-F570
+
+esfw43.bin: Perfection 4180 PHOTO / GT-F600
+
+esfw54.bin: Perfection 4490 PHOTO / GT-X750
+
+esfw66.bin: Perfection V10 / GT-S600,
+ Perfection V100 PHOTO / GT-F650
+
+esfw68.bin: Perfection V350 PHOTO / GT-F700
+
+esfw7A.bin: Perfection V200 PHOTO / GT-F670
+
+The firmware files are provided in the package
+iscan-firmware. \ No newline at end of file
diff --git a/misc/iscan-proprietary-drivers/iscan-proprietary-drivers.SlackBuild b/misc/iscan-proprietary-drivers/iscan-proprietary-drivers.SlackBuild
new file mode 100644
index 0000000000..c58343e7df
--- /dev/null
+++ b/misc/iscan-proprietary-drivers/iscan-proprietary-drivers.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for iscan-proprietary-drivers
+
+# Copyright 2008 Simone Giustetti (studiosg@giustetti.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=iscan-proprietary-drivers
+VERSION=2.8.0.1
+RPMBUILD=11 # <-- This is the build number used by OpenSuSE in their RPM
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+rpm2cpio $CWD/$PRGNAM-$VERSION-$RPMBUILD.i586.rpm | cpio -imdv
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+cd usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# All license files are in the directory of the "iscan-plugin-gt-f520-1.0.0"
+# and we only need them once
+cp -a doc/packages/iscan-proprietary-drivers/iscan-plugin-gt-f520-1.0.0/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $TMP/$PRGNAM-$VERSION/usr/lib
+mkdir -p $PKG/usr/lib/iscan
+cp -a iscan/* $PKG/usr/lib/iscan
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/iscan-proprietary-drivers/iscan-proprietary-drivers.info b/misc/iscan-proprietary-drivers/iscan-proprietary-drivers.info
new file mode 100644
index 0000000000..f33ef15cda
--- /dev/null
+++ b/misc/iscan-proprietary-drivers/iscan-proprietary-drivers.info
@@ -0,0 +1,8 @@
+PRGNAM="iscan-proprietary-drivers"
+VERSION="2.8.0.1"
+HOMEPAGE="http://www.avasys.jp/english/linux_e/index.html"
+DOWNLOAD="http://download.opensuse.org/distribution/10.3/repo/non-oss/suse/i586/iscan-proprietary-drivers-2.8.0.1-11.i586.rpm"
+MD5SUM="2a87f33b1838ae5baa1652d1ac5d9bfc"
+MAINTAINER="Simone Giustetti"
+EMAIL="studiosg@giustetti.net"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/misc/iscan-proprietary-drivers/slack-desc b/misc/iscan-proprietary-drivers/slack-desc
new file mode 100644
index 0000000000..01bcd895c2
--- /dev/null
+++ b/misc/iscan-proprietary-drivers/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+iscan-proprietary-drivers: iscan (binary-only drivers for EPSON USB scanners)
+iscan-proprietary-drivers:
+iscan-proprietary-drivers: These are the binary-only drivers for EPSON USB scanners,
+iscan-proprietary-drivers: which are required to get them to run with the sane
+iscan-proprietary-drivers: "snapscan" backend.
+iscan-proprietary-drivers:
+iscan-proprietary-drivers:
+iscan-proprietary-drivers:
+iscan-proprietary-drivers:
+iscan-proprietary-drivers:
+iscan-proprietary-drivers: